Bug 6958 - One-click reviews do not work with absolute review due dates
One-click reviews do not work with absolute review due dates
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
3.0
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 15:44 PST by Matthew Crider
Modified: 2011-12-21 15:20 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.4 (3.46 KB, patch)
2011-12-21 15:19 PST, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2011-11-23 15:44:05 PST
The absolute review due date sched. conf setting does not need strtotime conversion.
Comment 1 Matthew Crider 2011-11-23 15:50:02 PST
Absolute review due date setting does not need strtotime conversion
https://github.com/pkp/ocs/commit/094823f86e2d462a040859ae686f91174a1d73b1
Comment 2 Matthew Crider 2011-11-23 15:50:02 PST
Absolute review due date setting does not need strtotime conversion
https://github.com/pkp/ocs/commit/721333a6e0f0aecef09b024f17da8bdc4ebd07e0
Comment 3 Matthew Crider 2011-11-23 15:51:44 PST
Committed to stable and master; Added to recommended patches list.  Closing.
Comment 4 Ramon Fonseca 2011-12-20 05:53:34 PST
Hello Matthew,

How do I apply these patches?
I don't have/use github to pull anything, and saving the full file and uploading to the server doesn't seem to me an improvement on the patching process, specially if code changes have been made already...
Comment 5 Matthew Crider 2011-12-21 15:19:05 PST
Created attachment 3688 [details]
Patch against OCS 2.3.4
Comment 6 Matthew Crider 2011-12-21 15:20:55 PST
Ramon -- Sorry, I should've uploaded a patch here.  FYI, if you take a URL to a github commit and add '.diff' to the end of the URL, it will produce a patch file for you.